/*=====================
         FONTS
=======================*/

@font-face {
    font-family: "Karla";
    src: url("../assets/fonts/Karla-VariableFont_wght.ttf") format("truetype");
    font-weight: 400 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Karla";
    src: url("../assets/fonts/Karla-Italic-VariableFont_wght.ttf") format("truetype");
    font-weight: 400 700;
    font-style: italic;
    font-display: swap;
}



/*=====================
        VARIABLES
=======================*/

:root {

    --green-200: #dff1e7;
    --green-600: #0c7d69;
    --green-900: #06463a;
    --red: #d73c3c;

    --white: #ffffff;
    --grey-500: #87a3a6;
    --grey-900: #2b4246;

    --font-primary: "Karla", Helvetica, Arial, sans-serif;

}



* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    min-height: 100vh;
    font-family: var(--font-primary);
    font-size: 1rem;
    color: var(--grey-900);
}



/*=====================
          MAIN
=======================*/

#main {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 100vh;
    padding: 2rem 1rem;
    background-color: var(--green-200);
}

#main .container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: 100%;
    max-width: 650px;
    height: auto;
    padding: 2rem;
    border-radius: 20px;
    background-color: var(--white);
}



/*=====================
          FORM
=======================*/

#contact-form {
    display: grid;
    grid-template-columns: 100%;
    row-gap: 1.5rem;
}

.row {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    width: 100%;
}

.row .form-group {
    flex: 1;
}

.form-group,
.query-options {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.label-required span,
.legend-required {
    margin-bottom: 0.5rem;
    font-weight: 400;
}

.label-required span,
.legend-required span {
    font-size: 1.15rem;
    color: var(--green-600);
}

.query-options {
    border: none;
}

.error-message {
    font-size: 0.875rem;
    color: var(--red);
}



input[type="text"],
input[type="email"],
#querys label,
#message {
    padding: 0.7rem 1rem;
    border-radius: 8px;
    border: 1px solid var(--grey-500);
    cursor: pointer;
    transition: all .2s ease-in-out;
}

input[type="text"],
input[type="email"],
#message  {
    font-size: 1rem;  
}

input[type="text"]:focus,
input[type="email"]:focus,
#message:focus {
    outline: 1px solid var(--green-600);
}

input[type="text"]:hover,
input[type="email"]:hover,
#querys label:hover {
    border-color: var(--green-600);
}

#querys label:has(input:checked) {
    border-color: var(--green-600);
    background-color: var(--green-200);
}

#querys label {
    display: grid;
    grid-template-columns: 1rem auto;
    column-gap: 1rem;
}

input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    display: grid;
    place-content: center;
    background-color: var(--white);
    margin: 0;
    font: inherit;
    color: var(--white);
    width: 1.15rem;
    height: 1.15rem;
    border-radius: 50%;
    border: 1px solid var(--grey-500);
}

input[type="radio"]:checked {
    background-color: var(--green-200);
    border: 0.15rem solid var(--green-600);
}

input[type="radio"]::before {
    content: "";
    width: 0.6rem;
    height: 0.6rem;
    border-radius: 50%;
    transform: scale(0);
    transition: transform 120ms ease-in-out;
    background-color: var(--green-600);
}

input[type="radio"]:checked::before {
    transform: scale(1);
}

#message {
    font-family: var(--font-primary);
    resize: none;
}

.consent-label {
    display: grid;
    grid-template-columns: 1rem auto;
    column-gap: 1.15rem;
    line-height: 1.1;
    cursor: pointer;
}

input[type="checkbox"] {
    -webkit-appearance: none;
    appearance: none;
    display: grid;
    place-content: center;
    background-color: var(--white);
    margin: 0;
    font: inherit;
    width: 1.15rem;
    height: 1.15rem;
    border-radius: 0.15rem;
    border: 0.15rem solid var(--grey-500);
    cursor: pointer;
}

input[type="checkbox"]::before {
    display: grid;
    place-content: center;
    content: url('../assets/images/icon-checkbox-check.svg');
    width: 1.15rem;
    height: 1.15rem;
    transform: scale(0);
    border-radius: 0.15rem;
    transition: transform 120ms ease-in-out;
}

input[type="checkbox"]:checked::before {
    transform: scale(1) translateY(2px);
}

#submit-btn {
    padding: 1rem;
    border-radius: 8px;
    border: none;
    font-size: 1rem;
    font-weight: 700;
    color: var(--green-200);
    background-color: var(--green-600);
    cursor: pointer;
    transition: background-color .2s ease-in-out;
}

#submit-btn:hover {
    background-color: var(--green-900);
}

.error-state {
    border-color: var(--red) !important;
    outline-color: var(--red) !important;
}

#message-sent-alert {
    position: fixed;
    top: 2rem;
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 1rem;
    padding: 1.5rem;
    color: var(--white);
    background-color: var(--grey-900);
    border-radius: 0.75rem;
}

#message-sent-alert.active {
    display: flex;
    animation: messageAnimation .2s linear;
}

#message-sent-alert h2 {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5rem;
    font-size: 1.1rem;
    font-weight: 700;
}

#message-sent-alert p {
    font-size: 0.975rem;
    color: var(--green-200);
}

@keyframes messageAnimation {
    
    from {

        transform: translateX(100%);

    }

    to {

        transform: translateX(0);

    }

}



@media (max-width: 1024px) {

    #main .container {
        width: auto;
        height: auto;
        max-width: none;
        max-height: none;
        padding: 1.5rem;
    }

    #message-sent-alert {
        top: 1rem;
    }
    
}



@media (max-width: 480px) {

    #main {
        justify-content: flex-start;
    }
    
    .row {
        flex-direction: column;
    }

    #message-sent-alert {
        left: 1rem;
        right: 1rem;    
    }

}